/* 
	Hufeisenpult

	Origin: Hinten mitte.
	Blickrichtung zeigt nach +x.
	Bounding Box ca: <0.8, 0, -0.5> <-0.2, 1.3, 0.5>
 */

#include "konturensitz.pov"

#declare hufeisenpult_r =
    union {

	bicubic_patch {
	    type 0
	    u_steps 3
	    v_steps 3
	    <0.0, 0.6, 0.3> <0.0, 0.6, 0.4> <0.0, 0.6, 0.4> <0.0, 0.6, 0.5>
	    <0.4, 0.6, 0.3> <0.4, 0.7, 0.4> <0.4, 0.7, 0.4> <0.4, 0.8, 0.5>
	    <0.6, 0.6, 0.3> <0.7, 0.7, 0.4> <0.7, 0.7, 0.4> <0.8, 0.8, 0.5>
	    <0.6, 0.6, 0.2> <0.7, 0.7, 0.2> <0.7, 0.7, 0.2> <0.8, 0.8, 0.2>
	}
	bicubic_patch {
	    type 1
	    u_steps 3
	    v_steps 3
	    <0.0, 0.6, 0.5> <0.4, 0.8, 0.5> <0.8, 0.8, 0.5> <0.8, 0.8, 0.2>
	    <0.3, 0.6, 0.5> <0.5, 0.6, 0.5> <0.8, 0.6, 0.5> <0.8, 0.6, 0.2>
	    <0.5, 0.3, 0.5> <0.6, 0.3, 0.5> <0.8, 0.3, 0.5> <0.8, 0.3, 0.2>
	    <0.5, 0.0, 0.5> <0.6, 0.0, 0.5> <0.8, 0.0, 0.5> <0.8, 0.0, 0.2>
	}
	texture {
	    pigment { color rgb <0.6, 0.5, 0.9> }
	}
    }

#declare hufeisenpult = 
    union {
	union {
	    object {
		hufeisenpult_r
	    }
	    polygon {
		5
		<0.6, 0.6, -0.2>
		<0.6, 0.6, +0.2>
		<0.8, 0.8, +0.2>
		<0.8, 0.8, -0.2>
		<0.6, 0.6, -0.2>
		texture {
		    pigment { color rgb <0.6, 0.5, 0.9> }
		}
	    }
	    polygon {
		5
		<0.8, 0.0, -0.2>
		<0.8, 0.0, +0.2>
		<0.8, 0.8, +0.2>
		<0.8, 0.8, -0.2>
		<0.8, 0.0, -0.2>
		texture {
		    pigment { color rgb <0.6, 0.5, 0.9> }
		}
	    }
	    object {
		hufeisenpult_r
		scale <1, 1, -1>
	    }

	}
	object {
	    konturensitz
	    rotate <0, 180, 0>
	    translate <0.2, 0, 0>
	}
    }
