#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0, 0, 0>
	radiosity {}
}

light_source {
    <2000, 2000, 2000>
    color White
}

light_source {
    <-2000, 2000, -2000>
    color rgb <0.8, 0.8, 1>
}

camera {
        location <0.9, 0, -0>
        look_at <.60, 0, 0>
	angle 20
	orthographic
}

#declare cm=0.01;

	union {
	    intersection {
		superellipsoid {
		    <0.25, 0.25>
		    scale <2.5, 1, 3>
		}
		cylinder {
		    <-2.5, 0, 0> <2.5, 0, 0> 3.2
		}
		rotate <30, 0, 0>
		translate <60.0, 0, 0>
		pigment {
		    checker color Yellow, color Red
		    scale 10
		}
	    }
	    difference {
		cylinder {
		    <0.1, 0, 0> <65, 0, 0> 3
		    pigment { color Blue }
		}
		cylinder {
		    <0, 0, 0> <65.1, 0, 0> 3-0.1
		    pigment { color Blue }
		}
	    }
	    difference {
		cylinder {
		    <0.1, 0, 0> <65, 0, 0> 2
		    pigment { color Blue }
		}
		cylinder {
		    <0, 0, 0> <65.1, 0, 0> 2-0.1
		    pigment { color Blue }
		}
	    }


	    scale cm

	}

background { color rgb<0.2, 0.4, 0.8>  }
