#version unofficial MegaPov 0.5;
#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "metals.inc"
#include "stones.inc"

#declare SCHNITT_1 = 1;	// Quadrant -/*/-
#declare HUELLE = 1;	// Quadrant -/*/-

global_settings {
   post_process {find_edges{10000,.05,1,1,1,rgb 0}}
}
#default {finish {ambient 0.4 diffuse 0.3 brilliance 0}}

global_settings {
        assumed_gamma 1.0
        ambient_light rgb<0.5, 0.5, 0.5>
	radiosity {}
}
background { color rgb<0.2, 0.4, 0.8>  }
light_source {
    <-200, 200, -200>
    color White
}

#local CP = <-150, 200, -150>;
light_source {
    CP
    color White*0.5
}
camera {
        location CP
        look_at <-0, 60, -0>
	angle 32
}

#include "schneller_kreuzer.pov"

    object {
	schneller_kreuzer
	translate <0, 60, 0>
    }


cylinder {
    <0, 0, 0>,
    <0, -1, 0>, 1000
    pigment {
	radial
	color_map{
	    [0.1 rgb 0.1 ]
	    [0.1 White]
	}
	frequency 16
    }
}

